CREATE TABLE USR_SAP_PRODUTO
(
	CDPRODUTO       VARCHAR2(20) NOT NULL,
	NMPRODUTO       VARCHAR2(50) NOT NULL,
	SGUNIDADE       VARCHAR2(10) NOT NULL,
	VRFATORCONV     FLOAT        NOT NULL,
	CDNCM		VARCHAR2(10) NULL,
	IDINTERFACE     NUMBER       NOT NULL,
	TPINTERFACE     VARCHAR2(01) NOT NULL
		CONSTRAINT CKC_TPINTERFACE_USR_SAP_PROD CHECK (TPINTERFACE IN ('I','A','E')),
	DTINTERFACEORI  DATE         NOT NULL,
	DTINTERFACEDEST DATE,
	STATUS          NUMBER       NOT NULL
		CONSTRAINT CKC_STATUS_USR_SAP_PROD CHECK (STATUS IN (0,1,2)),
	APPORIGEM       NUMBER       NOT NULL
		CONSTRAINT CKC_APPORIGEM_USR_SAP_PROD CHECK (APPORIGEM IN (1,2)),
	APPDESTINO      NUMBER       NOT NULL
		CONSTRAINT CKC_APPDESTINO_USR_SAP_PROD CHECK (APPDESTINO IN (1,2))
)

/

CREATE TABLE USR_SAP_FILIAL
(
	CDFILIAL        VARCHAR2(04) NOT NULL,
	NMFILIAL        VARCHAR2(30) NOT NULL,
	CDEMPRESA       VARCHAR2(02) NOT NULL,
	CDINSCESTA      VARCHAR2(16) NOT NULL,
	CDINSCMUNI      VARCHAR2(16) NOT NULL,
	DSENDERECOP     VARCHAR2(40)         ,
	CDPAISP         VARCHAR2(04) NOT NULL,
	SGESTADOP       VARCHAR2(02) NOT NULL,
	CDMUNICIPIOP    VARCHAR2(07) NOT NULL,
	CDCEPP          VARCHAR2(15),
	NMBAIRROP       VARCHAR2(30),
	EMAIL           VARCHAR2(40),
	DSENDERECOC     VARCHAR2(40),
	CDPAISC         VARCHAR2(04),
	SGESTADOC       VARCHAR2(02),
	CDMUNICIPIOC    VARCHAR2(07),
	CDCEPC          VARCHAR2(15),
	NMBAIRROC       VARCHAR2(30),
	NRINSJURFILI	VARCHAR2(20) NOT NULL, /*Valor que precisa ser informado para o cadastro da tabela Filial e que no foi especificado*/
	IDINTERFACE     NUMBER       NOT NULL,
	TPINTERFACE     VARCHAR2(01) NOT NULL
			CONSTRAINT CKC_TPINTERFACE_USR_SAP_FIL CHECK (TPINTERFACE IN ('I','A','E')),
	DTINTERFACEORI  DATE         NOT NULL,
	DTINTERFACEDEST DATE,
	STATUS          NUMBER       NOT NULL
		CONSTRAINT CKC_STATUS_USR_SAP_FIL CHECK (STATUS IN (0,1,2)),
	APPORIGEM       NUMBER       NOT NULL,
		CONSTRAINT CKC_APPORIGEM_USR_SAP_FIL CHECK (APPORIGEM IN (1,2)),
	APPDESTINO      NUMBER       NOT NULL
		CONSTRAINT CKC_APPDESTINO_USR_SAP_FIL CHECK (APPDESTINO IN (1,2))
)

/

CREATE TABLE USR_SAP_FORNECEDOR
(
	CDFORNECEDOR    VARCHAR2(20) NOT NULL,
	NMRAZAOSOC      VARCHAR2(40) NOT NULL,
	NMFANTFORNE     VARCHAR2(40) NOT NULL,
	DSENDERECOP     VARCHAR2(40) NOT NULL,
	CDPAISP         VARCHAR2(04) NOT NULL,
	SGESTADOP       VARCHAR2(02) NOT NULL,
	CDMUNICIPIOP    VARCHAR2(07) NOT NULL,
	CDCEPP          VARCHAR2(15),
	NMBAIRROP       VARCHAR2(30),
	EMAIL           VARCHAR2(40),
	IDINTERFACE     NUMBER       NOT NULL,
	TPINTERFACE     VARCHAR2(01) NOT NULL
		CONSTRAINT CKC_TPINTERFACE_USR_SAP_FORN CHECK (TPINTERFACE IN ('I','A','E')),	
	DTINTERFACEORI  DATE         NOT NULL,
	DTINTERFACEDEST DATE,
	STATUS          NUMBER       NOT NULL
		CONSTRAINT CKC_STATUS_USR_SAP_FORN CHECK (STATUS IN (0,1,2)),
	APPORIGEM       NUMBER       NOT NULL
		CONSTRAINT CKC_APPORIGEM_USR_SAP_FORN CHECK (APPORIGEM IN (1,2)),
	APPDESTINO      NUMBER       NOT NULL
		CONSTRAINT CKC_APPDESTINO_USR_SAP_FORN CHECK (APPDESTINO IN (1,2))
)

/

CREATE TABLE USR_SAP_CLIENTE
(
	CDCLIENTE       VARCHAR2(20) NOT NULL,
	NMRAZAOSOC      VARCHAR2(40) NOT NULL,
	NMFANTCLIE      VARCHAR2(40) NOT NULL,
	DSENDERECOP     VARCHAR2(40) NOT NULL,
	CDPAISP         VARCHAR2(04) NOT NULL,
	SGESTADOP       VARCHAR2(02) NOT NULL,
	CDMUNICIPIOP    VARCHAR2(07) NOT NULL,
	CDCEPP          VARCHAR2(15),
	NMBAIRROP       VARCHAR2(30),
	EMAIL           VARCHAR2(40),
	IDINTERFACE     NUMBER       NOT NULL,
	TPINTERFACE     VARCHAR2(01) NOT NULL
		CONSTRAINT CKC_TPINTERFACE_USR_SAP_CLI CHECK (TPINTERFACE IN ('I','A','E')),	
	DTINTERFACEORI  DATE         NOT NULL,
	DTINTERFACEDEST DATE,
	STATUS          NUMBER       NOT NULL
		CONSTRAINT CKC_STATUS_USR_SAP_CLI CHECK (STATUS IN (0,1,2)),
	APPORIGEM       NUMBER       NOT NULL
		CONSTRAINT CKC_APPORIGEM_USR_SAP_CLI CHECK (APPORIGEM IN (1,2)),
	APPDESTINO      NUMBER       NOT NULL
		CONSTRAINT CKC_APPDESTINO_USR_SAP_CLI CHECK (APPDESTINO IN (1,2))
)

/

CREATE TABLE USR_SAP_MUNICIPIO
(
	CDPAIS          VARCHAR2(04) NOT NULL,
	SGESTADO        VARCHAR2(02) NOT NULL,
	CDMUNICIPIO     VARCHAR2(04) NOT NULL,
	NMMUNICIPIO     VARCHAR2(30) NOT NULL,
	CDMUNICIPIOIBGE VARCHAR2(07) NOT NULL,
	IDINTERFACE     NUMBER       NOT NULL,
	TPINTERFACE     VARCHAR2(01) NOT NULL
		CONSTRAINT CKC_TPINTERFACE_USR_SAP_MUNI CHECK (TPINTERFACE IN ('I','A','E')),
	DTINTERFACEORI  DATE         NOT NULL,
	DTINTERFACEDEST DATE,
	STATUS          NUMBER       NOT NULL
		CONSTRAINT CKC_STATUS_USR_SAP_MUNI CHECK (STATUS IN (0,1,2)),
	APPORIGEM       NUMBER       NOT NULL
		CONSTRAINT CKC_APPORIGEM_USR_SAP_MUNI CHECK (APPORIGEM IN (1,2)),
	APPDESTINO      NUMBER       NOT NULL
		CONSTRAINT CKC_APPDESTINO_USR_SAP_MUNI CHECK (APPDESTINO IN (1,2))
)

/

CREATE TABLE USR_SAP_NOTAFISCAL
( 
	CDUNICO         VARCHAR2(14) NOT NULL,
	IDENTRSAID      VARCHAR2(01) NOT NULL,
	CDEMPRESA       VARCHAR2(02) NOT NULL,
	CDFILIAL        VARCHAR2(04) NOT NULL,
	CDTIPOOPER      VARCHAR2(02) NOT NULL,
	CDINSCRICAO     VARCHAR2(20) NOT NULL,
	CDSERIE         VARCHAR2(05),
	NRNUMERO        VARCHAR2(20),
	CDMODELO        VARCHAR2(02) NOT NULL,
	DTEMISSAO       DATE,
	DTENTRADA       DATE,
	NRACESSONFE     VARCHAR2(44),
	VRTOTALNF       FLOAT        NOT NULL,
	IDINTERFACE     NUMBER       NOT NULL,
	TPINTERFACE     VARCHAR2(01) NOT NULL
		CONSTRAINT CKC_TPINTERFACE_USR_SAP_NF CHECK (TPINTERFACE IN ('I','A','E')),
	DTINTERFACEORI  DATE         NOT NULL,
	DTINTERFACEDEST DATE,
	STATUS          NUMBER       NOT NULL
		CONSTRAINT CKC_STATUS_USR_SAP_NF CHECK (STATUS IN (0,1,2)),
	APPORIGEM       NUMBER       NOT NULL
		CONSTRAINT CKC_APPORIGEM_USR_SAP_NF CHECK (APPORIGEM IN (1,2)),
	APPDESTINO      NUMBER       NOT NULL
		CONSTRAINT CKC_APPDESTINO_USR_SAP_NF CHECK (APPDESTINO IN (1,2))
)

/

CREATE TABLE USR_SAP_ITEMPRODUTO
(
	CDUNICO         VARCHAR2(14) NOT NULL,
	NRSEQITEM       VARCHAR2(04) NOT NULL,
	CDPRODUTO       VARCHAR2(20) NOT NULL,
	VRQUANTIDADE    FLOAT        NOT NULL,
	VRUNITARIO      FLOAT        NOT NULL,
	VRDESCITEM      FLOAT,
	VRTOTAITEM      FLOAT        NOT NULL,
	CDALMOXARIFADO  VARCHAR2(06),
	CDLOCALIZACAO   VARCHAR2(06),
	IDINTERFACE     NUMBER       NOT NULL,
	TPINTERFACE     VARCHAR2(01) NOT NULL
		CONSTRAINT CKC_TPINTERFACE_USR_SAP_ITPROD CHECK (TPINTERFACE IN ('I','A','E')),	
	DTINTERFACEORI  DATE         NOT NULL,
	DTINTERFACEDEST DATE,
	STATUS          NUMBER       NOT NULL
		CONSTRAINT CKC_STATUS_USR_SAP_ITPROD CHECK (STATUS IN (0,1,2)),
	APPORIGEM       NUMBER       NOT NULL
		CONSTRAINT CKC_APPORIGEM_USR_SAP_ITPROD CHECK (APPORIGEM IN (1,2)),
	APPDESTINO      NUMBER       NOT NULL
		CONSTRAINT CKC_APPDESTINO_USR_SAP_ITPROD CHECK (APPDESTINO IN (1,2))
)

/

CREATE TABLE USR_SAP_ITEMPROIMPOS
(
	CDUNICO         VARCHAR2(14) NOT NULL,
	NRSEQITEM       VARCHAR2(04) NOT NULL,
	CDIMPOSTO       VARCHAR2(02) NOT NULL,
	VRPERCRED       FLOAT,
	VRBASECALC      FLOAT        NOT NULL,
	VRALIQUOTA      FLOAT        NOT NULL,
	VRIMPOSTO       FLOAT        NOT NULL,
	CDFISCALIT      VARCHAR2(01) NOT NULL,
	CDSITUTRIB      VARCHAR2(03),
	CDFISCOPERIT    VARCHAR2(11),
	IDINTERFACE     NUMBER       NOT NULL,
	TPINTERFACE     VARCHAR2(01) NOT NULL
		CONSTRAINT CKC_TPINTERFACE_USR_SAP_PROIMP CHECK (TPINTERFACE IN ('I','A','E')),	
	DTINTERFACEORI  DATE         NOT NULL,
	DTINTERFACEDEST DATE,
	STATUS          NUMBER       NOT NULL
		CONSTRAINT CKC_STATUS_USR_SAP_PROIMP CHECK (STATUS IN (0,1,2)),
	APPORIGEM       NUMBER       NOT NULL
		CONSTRAINT CKC_APPORIGEM_USR_SAP_PROIMP CHECK (APPORIGEM IN (1,2)),
	APPDESTINO      NUMBER       NOT NULL
		CONSTRAINT CKC_APPDESTINO_USR_SAP_PROIMP CHECK (APPDESTINO IN (1,2))
)

/

CREATE TABLE USR_SAP_ITEMENCARGO
(
	CDUNICO         VARCHAR2(14) NOT NULL,
	CDENCARGO       VARCHAR2(02) NOT NULL,
	VRENCARGO       FLOAT        NOT NULL,
	IDINTERFACE     NUMBER       NOT NULL,
	TPINTERFACE     VARCHAR2(01) NOT NULL,
		CONSTRAINT CKC_TPINTERFACE_USR_SAP_ITENC CHECK (TPINTERFACE IN ('I','A','E')),	
	DTINTERFACEORI  DATE         NOT NULL,
	DTINTERFACEDEST DATE,
	STATUS          NUMBER       NOT NULL
		CONSTRAINT CKC_STATUS_USR_SAP_ITENC CHECK (STATUS IN (0,1,2)),
	APPORIGEM       NUMBER       NOT NULL
		CONSTRAINT CKC_APPORIGEM_USR_SAP_ITENC CHECK (APPORIGEM IN (1,2)),
	APPDESTINO      NUMBER       NOT NULL
		CONSTRAINT CKC_APPDESTINO_USR_SAP_ITENC CHECK (APPDESTINO IN (1,2))
)

/

CREATE TABLE USR_SAP_VENCIMENTOS
(
	CDUNICO         VARCHAR2(14) NOT NULL,
	NRSEQVEN        VARCHAR2(02) NOT NULL,
	NRPARCELA       VARCHAR2(02) NOT NULL,
	CDTIPOCONTA     VARCHAR2(06),
	QTDIASVEN       NUMBER(10)   NOT NULL,
	DTORIGVEN       DATE         NOT NULL,
	VRORIGVEN       FLOAT        NOT NULL,
	IDINTERFACE     NUMBER       NOT NULL,
	TPINTERFACE     VARCHAR2(01) NOT NULL
		CONSTRAINT CKC_TPINTERFACE_USR_SAP_VENC CHECK (TPINTERFACE IN ('I','A','E')),
	DTINTERFACEORI  DATE         NOT NULL,
	DTINTERFACEDEST DATE,
	STATUS          NUMBER       NOT NULL
		CONSTRAINT CKC_STATUS_USR_SAP_VENC CHECK (STATUS IN (0,1,2)),
	APPORIGEM       NUMBER       NOT NULL
		CONSTRAINT CKC_APPORIGEM_USR_SAP_VENC CHECK (APPORIGEM IN (1,2)),
	APPDESTINO      NUMBER       NOT NULL
		CONSTRAINT CKC_APPDESTINO_USR_SAP_VENC CHECK (APPDESTINO IN (1,2))
)

/

CREATE TABLE USR_SAP_EXPORTACAOTI
(
	CDEMPRESATI     VARCHAR2(02),
	CDFILIALTI      VARCHAR2(04),
	NRNUMERORETI    VARCHAR2(04),
	DTCONTABILTI    VARCHAR2(08),
	CDFILIAL2TI     VARCHAR2(04),
	FIXO2TI         VARCHAR2(01),
	INSCRICAOTI     VARCHAR2(14),
	PRODUTOTI       VARCHAR2(10),
	QUANTIDADETI    FLOAT,
	VRUNITARIOTI    FLOAT,
	VRESTOQTI       FLOAT,
	IDINTERFACE     NUMBER       NOT NULL,
	TPINTERFACE     VARCHAR2(01) NOT NULL,
		CONSTRAINT CKC_TPINTERFACE_USR_SAP_TI CHECK (TPINTERFACE IN ('I','A','E')),
	DTINTERFACEORI  DATE         NOT NULL,
	DTINTERFACEDEST DATE,
	STATUS          NUMBER       NOT NULL
		CONSTRAINT CKC_STATUS_USR_SAP_TI CHECK (STATUS IN (0,1,2)),
	APPORIGEM       NUMBER       NOT NULL
		CONSTRAINT CKC_APPORIGEM_USR_SAP_TI CHECK (APPORIGEM IN (1,2)),
	APPDESTINO      NUMBER       NOT NULL
		CONSTRAINT CKC_APPDESTINO_USR_SAP_TI CHECK (APPDESTINO IN (1,2))
)

/

CREATE TABLE USR_SAP_EXPORTACAOTC
(
	CDEMPRESATC     VARCHAR2(02),
	CDFILIALTC      VARCHAR2(04),
	NRNUMERORETC    VARCHAR2(04),
	DTCONTABILTC    VARCHAR2(08),
	VRSOMNUMDCTC    FLOAT,
	CDTIPOOPERTC    VARCHAR2(02),
	IDTPIJURNFTC    VARCHAR2(01),
	NRINSJURNFTC    VARCHAR2(14),
	NRNOTAFISCTC    VARCHAR2(20),
	DTEMISSAOTC     DATE,
	DTATVENPAGTC    DATE,
	CDFILIRECETC    VARCHAR2(04),
	VRDESPESATC     FLOAT,
	VRDESCONTOTC    FLOAT,
	VRICMSRETITC    FLOAT,
	VRIRRETIDOTC    FLOAT,
	NRINIMAQRETC    NUMBER(10),
	NRFIMMAQRETC    NUMBER(10),
	NRTOTMAQRETC    NUMBER(10),
	CDPRODUTOTC     VARCHAR2(10),
	QTITEMPRODTC    FLOAT,
	VRUNITITEMTC    FLOAT,
	VRDESCITEMTC    FLOAT,
	VRIPIPRODTC     FLOAT,
	VRNOTAFISCTC    FLOAT,
	CDFILIEMITTC    VARCHAR2(04),
	IDALTERADATC    VARCHAR2(01),
	CDFIORIGDETC    VARCHAR2(07),
	CDSERORIDETC    VARCHAR2(06),
	NRIJURORIGDE    VARCHAR2(14),
	CDCFISCOPTC     VARCHAR2(04),
	NRLANBOLETTC    VARCHAR2(21),
	VRDOTACAOTC     FLOAT,
	VRIMPINSSTC     FLOAT,
	VRIMPISSTC      FLOAT,
	NRMAQREGTC      FLOAT,
	NRREDUCAOTC     VARCHAR2(04),
	VLRMAQRETC      FLOAT,
	VLRCANCANTC     FLOAT,
	CROTC           VARCHAR2(05),
	IDINTERFACE     NUMBER       NOT NULL,
	TPINTERFACE     VARCHAR2(01) NOT NULL
		CONSTRAINT CKC_TPINTERFACE_USR_SAP_TC CHECK (TPINTERFACE IN ('I','A','E')),
	DTINTERFACEORI  DATE         NOT NULL,
	DTINTERFACEDEST DATE,
	STATUS          NUMBER       NOT NULL
		CONSTRAINT CKC_STATUS_USR_SAP_TC CHECK (STATUS IN (0,1,2)),
	APPORIGEM       NUMBER       NOT NULL
		CONSTRAINT CKC_APPORIGEM_USR_SAP_TC CHECK (APPORIGEM IN (1,2)),
	APPDESTINO      NUMBER       NOT NULL
		CONSTRAINT CKC_APPDESTINO_USR_SAP_TC CHECK (APPDESTINO IN (1,2))
)

/

CREATE TABLE USR_SAP_EXPORTACAOTM
(
	CDEMPRESATM     VARCHAR2(02) NOT NULL,
	CDFILIALTM      VARCHAR2(04) NOT NULL,
	DTEXPORTTM      VARCHAR2(02) NOT NULL,
	CDALMOXORIGTM   VARCHAR2(06) NOT NULL,
	CDALMOXDESTTM   VARCHAR2(06) NOT NULL,
	CDPRODUTOTM     VARCHAR2(20) NOT NULL,
	CDPRODMOVITM    VARCHAR2(20) NOT NULL,
	QTLANCTOESTTM   FLOAT        NOT NULL,
	VRTOTLANCTOTM   FLOAT        NOT NULL,
	IDINTERFACE     NUMBER       NOT NULL,
	TPINTERFACE     VARCHAR2(01) NOT NULL
		CONSTRAINT CKC_TPINTERFACE_USR_SAP_TM CHECK (TPINTERFACE IN ('I','A','E')),
	DTINTERFACEORI  DATE         NOT NULL,
	DTINTERFACEDEST DATE,
	STATUS          NUMBER       NOT NULL
		CONSTRAINT CKC_STATUS_USR_SAP_TM CHECK (STATUS IN (0,1,2)),
	APPORIGEM       NUMBER       NOT NULL
		CONSTRAINT CKC_APPORIGEM_USR_SAP_TM CHECK (APPORIGEM IN (1,2)),
	APPDESTINO      NUMBER       NOT NULL
		CONSTRAINT CKC_APPDESTINO_USR_SAP_TM CHECK (APPDESTINO IN (1,2))
)

/

CREATE TABLE USR_SAP_LOG
(
	IDINTERFACE NUMBER        NOT NULL,
	IDSEQLOG    VARCHAR2(01)  NOT NULL
		CONSTRAINT CKC_IDSEQLOG_USR_SAP_LOG CHECK (IDSEQLOG IN ('I','A','E')),
	IDPROCESSO  NUMBER        NOT NULL
		CONSTRAINT CKC_IDPROCESSO_USR_SAP_LOG CHECK (IDPROCESSO BETWEEN 1 AND 11),
	DTLOG       DATE          NOT NULL,
	STATUS      NUMBER        NOT NULL
		CONSTRAINT CKC_STATUS_USR_SAP_LOG CHECK (STATUS IN (0,1)),
	OBSSTATUS   VARCHAR2(250) NOT NULL
)

/

CREATE TABLE USR_SAP_FATURAMENTO
(
  CDUNICO         VARCHAR2(35),
  CDCLIENTE       VARCHAR2(10),
  NRINSJURCLIE    VARCHAR2(16),
  CDEMPRESA       VARCHAR2(4),
  CDTIPOOPER      VARCHAR2(2),
  IDINTERFACE     NUMBER       NOT NULL,
  TPINTERFACE     VARCHAR2(01) NOT NULL,
	CONSTRAINT CKC_TPINTERFACE_USR_FAT CHECK (TPINTERFACE IN ('I','A','E')),
  DTINTERFACEORI  DATE         NOT NULL,
  DTINTERFACEDEST DATE,
  STATUS          NUMBER       NOT NULL
	CONSTRAINT CKC_STATUS_USR_SAP_FAT CHECK (STATUS IN (0,1,2)),
  APPORIGEM       NUMBER       NOT NULL
  	CONSTRAINT CKC_APPORIGEM_USR_SAP_FAT CHECK (APPORIGEM IN (1,2)),
  APPDESTINO      NUMBER       NOT NULL
	CONSTRAINT CKC_APPDESTINO_USR_SAP_FAT CHECK (APPDESTINO IN (1,2))
)

/

CREATE TABLE USR_SAP_ITEM_FAT
(
  CDUNICO         VARCHAR2(35),
  CDPRODUTO       VARCHAR2(18),
  VRQUANTIDADE    FLOAT,
  VRUNITARIO      FLOAT,
  PESOBRUT        FLOAT,
  PESOLIQ         FLOAT,
  CDFILIALCENT    VARCHAR2(4),
  IDINTERFACE     NUMBER       NOT NULL,
  TPINTERFACE     VARCHAR2(01) NOT NULL,
	CONSTRAINT CKC_TPINTERFACE_USR_IT_FAT CHECK (TPINTERFACE IN ('I','A','E')),
  DTINTERFACEORI  DATE         NOT NULL,
  DTINTERFACEDEST DATE,
  STATUS          NUMBER       NOT NULL
  	CONSTRAINT CKC_STATUS_USR_SAP_IT_FAT CHECK (STATUS IN (0,1,2)),
  APPORIGEM       NUMBER       NOT NULL
  	CONSTRAINT CKC_APPORIGEM_USR_SAP_IT_FAT CHECK (APPORIGEM IN (1,2)),
  APPDESTINO      NUMBER       NOT NULL
	CONSTRAINT CKC_APPDESTINO_USR_SAP_IT_FAT CHECK (APPDESTINO IN (1,2))
)


/

CREATE TABLE USR_SAP_INSCESTA
(
  CDEMPRESA       VARCHAR2(02) NOT NULL,
  CDINSCESTA      VARCHAR2(16) NOT NULL,
  IDTPIJURIEST    VARCHAR2(01) NOT NULL  
	CONSTRAINT CKC_IDTPIJURIEST_SAP_IESTA CHECK (IDTPIJURIEST IN ('F', 'J')),
  NRINSJURIEST    VARCHAR2(20) NOT NULL,
  CDPAIS          VARCHAR2(04) NOT NULL,
  SGESTADO        VARCHAR2(02) NOT NULL,
  CDMUNICIPIO     VARCHAR2(07) NOT NULL,
  DSENDEIEST      VARCHAR2(50) NOT NULL,
  CDBAIRRO        VARCHAR2(10) NOT NULL, -- BAIRRO TEM QUE SER OBRIGATRIO MESMO?
  NRCEPIEST       VARCHAR2(15) NOT NULL,
  IDINTERFACE     NUMBER       NOT NULL,
  TPINTERFACE     VARCHAR2(01) NOT NULL,
	CONSTRAINT CKC_TPINTERFACE_USR_IESTA CHECK (TPINTERFACE IN ('I','A','E')),
  DTINTERFACEORI  DATE         NOT NULL,
  DTINTERFACEDEST DATE,
  STATUS          NUMBER       NOT NULL
  	CONSTRAINT CKC_STATUS_USR_SAP_IESTA CHECK (STATUS IN (0,1,2)),
  APPORIGEM       NUMBER       NOT NULL
  	CONSTRAINT CKC_APPORIGEM_USR_SAP_IESTA CHECK (APPORIGEM IN (1,2)),
  APPDESTINO      NUMBER       NOT NULL
	CONSTRAINT CKC_APPDESTINO_USR_SAP_IESTA CHECK (APPDESTINO IN (1,2))
)

/

CREATE TABLE USR_SAP_INSCMUNI
(
  CDEMPRESA       VARCHAR2(02) NOT NULL,
  CDINSCMUNI      VARCHAR2(16) NOT NULL,
  DSENDEIEST      VARCHAR2(50) NOT NULL,
  CDPAIS          VARCHAR2(04) NOT NULL,
  SGESTADO        VARCHAR2(02) NOT NULL,
  CDMUNICIPIO     VARCHAR2(07) NOT NULL,
  NRCEPIMUN       VARCHAR2(15) NOT NULL,
  IDINTERFACE     NUMBER       NOT NULL,
  TPINTERFACE     VARCHAR2(01) NOT NULL,
	CONSTRAINT CKC_TPINTERFACE_USR_IMUN CHECK (TPINTERFACE IN ('I','A','E')),
  DTINTERFACEORI  DATE         NOT NULL,
  DTINTERFACEDEST DATE,
  STATUS          NUMBER       NOT NULL
  	CONSTRAINT CKC_STATUS_USR_SAP_IMUN CHECK (STATUS IN (0,1,2)),
  APPORIGEM       NUMBER       NOT NULL
  	CONSTRAINT CKC_APPORIGEM_USR_SAP_IMUN CHECK (APPORIGEM IN (1,2)),
  APPDESTINO      NUMBER       NOT NULL
	CONSTRAINT CKC_APPDESTINO_USR_SAP_IMUN CHECK (APPDESTINO IN (1,2))
)

/

CREATE TABLE USR_SAP_APURFATUR
(
  CDUNICO         VARCHAR2(14) NOT NULL,
  CDEMPRESA       VARCHAR2(02) NOT NULL,
  CDFILIAL        VARCHAR2(04) NOT NULL,
  CDTIPOOPER      VARCHAR2(02) NOT NULL,
  CDINSCRICAO     VARCHAR2(20) NOT NULL,
  CDMODELO        VARCHAR2(02) NOT NULL,
  DTSAIDA         DATE                 ,
  VRTOTALINF      FLOAT        NOT NULL,
  IDINTERFACE     NUMBER       NOT NULL,
  TPINTERFACE     VARCHAR2(01) NOT NULL,
	CONSTRAINT CKC_TPINTERFACE_USR_APUFAT CHECK (TPINTERFACE IN ('I','A','E')),
  DTINTERFACEORI  DATE         NOT NULL,
  DTINTERFACEDEST DATE,
  STATUS          NUMBER       NOT NULL
  	CONSTRAINT CKC_STATUS_USR_SAP_APUFAT CHECK (STATUS IN (0,1,2)),
  APPORIGEM       NUMBER       NOT NULL
  	CONSTRAINT CKC_APPORIGEM_USR_SAP_APUFAT CHECK (APPORIGEM IN (1,2)),
  APPDESTINO      NUMBER       NOT NULL
	CONSTRAINT CKC_APPDESTINO_USR_SAP_APUFAT CHECK (APPDESTINO IN (1,2))
)

/

CREATE TABLE USR_SAP_ITAPURFATUR
(
  CDUNICO         VARCHAR2(14) NOT NULL,
  NRSEQITEM       VARCHAR2(04) NOT NULL,
  CDPRODUTO       VARCHAR2(20) NOT NULL,
  VRQUANTIDADE    FLOAT        NOT NULL,
  VRUNITARIO      FLOAT        NOT NULL,
  VRDESCITEM      FLOAT                ,
  VRTOTAITEM      FLOAT        NOT NULL,
  IDINTERFACE     NUMBER       NOT NULL,
  TPINTERFACE     VARCHAR2(01) NOT NULL,
	CONSTRAINT CKC_TPINTERFACE_USR_IAPFAT CHECK (TPINTERFACE IN ('I','A','E')),
  DTINTERFACEORI  DATE         NOT NULL,
  DTINTERFACEDEST DATE,
  STATUS          NUMBER       NOT NULL
  	CONSTRAINT CKC_STATUS_USR_SAP_IAPFAT CHECK (STATUS IN (0,1,2)),
  APPORIGEM       NUMBER       NOT NULL
  	CONSTRAINT CKC_APPORIGEM_USR_SAP_IAPFAT CHECK (APPORIGEM IN (1,2)),
  APPDESTINO      NUMBER       NOT NULL
	CONSTRAINT CKC_APPDESTINO_USR_SAP_IAPFAT CHECK (APPDESTINO IN (1,2))
)

/

CREATE TABLE USR_SAP_NFAPROVADA
(
  CDUNICO         VARCHAR2(14) NOT NULL,
  DTEMISSAO       DATE         NOT NULL,
  NRACESSONFE     VARCHAR2(44) NOT NULL,
  IDINTERFACE     NUMBER       NOT NULL,
  TPINTERFACE     VARCHAR2(01) NOT NULL,
	CONSTRAINT CKC_TPINTERFACE_USR_NFAPV CHECK (TPINTERFACE IN ('I','A','E')),
  DTINTERFACEORI  DATE         NOT NULL,
  DTINTERFACEDEST DATE,
  STATUS          NUMBER       NOT NULL
  	CONSTRAINT CKC_STATUS_USR_SAP_NFAPV CHECK (STATUS IN (0,1,2)),
  APPORIGEM       NUMBER       NOT NULL
  	CONSTRAINT CKC_APPORIGEM_USR_SAP_NFAPV CHECK (APPORIGEM IN (1,2)),
  APPDESTINO      NUMBER       NOT NULL
	CONSTRAINT CKC_APPDESTINO_USR_SAP_NFAPV CHECK (APPDESTINO IN (1,2))
)

/

CREATE SEQUENCE USR_PRODUTO_IDINTERFACE INCREMENT BY 1 MINVALUE 1
/

CREATE SEQUENCE USR_NOTAFIS_IDINTERFACE INCREMENT BY 1 MINVALUE 1
/

CREATE SEQUENCE USR_ITPROD_IDINTERFACE INCREMENT BY 1 MINVALUE 1
/

CREATE SEQUENCE USR_ITPROIMPOS_IDINTERFACE INCREMENT BY 1 MINVALUE 1
/

CREATE SEQUENCE USR_ITENC_IDINTERFACE INCREMENT BY 1 MINVALUE 1
/

CREATE SEQUENCE USR_VENC_IDINTERFACE INCREMENT BY 1 MINVALUE 1
/

CREATE SEQUENCE USR_EXPORTATI_IDINTERFACE INCREMENT BY 1 MINVALUE 1
/

CREATE SEQUENCE USR_EXPORTATM_IDINTERFACE INCREMENT BY 1 MINVALUE 1
/

CREATE SEQUENCE USR_EXPORTATC_IDINTERFACE INCREMENT BY 1 MINVALUE 1
/

CREATE SEQUENCE USR_APURFATUR_IDINTERFACE INCREMENT BY 1 MINVALUE 1
/

CREATE SEQUENCE USR_ITAPURFATUR_IDINTERFACE INCREMENT BY 1 MINVALUE 1
/

ALTER TABLE EXPORTACAOTM
ADD NRLANESTENTR VARCHAR2(10)
/

-- VERSAO --
BEGIN ATUVEROBJ('ATUALIZACAO_ESTRUTURA_BD','5.42.XXX'); END;
/
