/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_CTRLNUMENF                                               */
/* Tabela : CTRLNUMENF                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 04/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_CTRLNUMENF' and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_CTRLNUMENF
GO

CREATE TRIGGER DTULTATU_CTRLNUMENF
ON CTRLNUMENF
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'CTRLNUMENF', null, 'CDCTRLNUMENF='  + CDCTRLNUMENF  + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE CTRLNUMENF
      SET DTULTATUCNNF = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(CTRLNUMENF.CDCTRLNUMENF,0) = ISNULL(INSERTED.CDCTRLNUMENF,0));
   END;
END;
GO

