ALTER TABLE ORDPRODUCAO ADD CDFILIALORIG VARCHAR2(10) NULL
/

ALTER TABLE ORDPRODUCAO ADD NRORDPRODORIG VARCHAR2(10) NULL
/

ALTER TABLE ORDPRODUCAO ADD NRSUBORDPRODORIG VARCHAR2(10) NULL
/

CREATE TABLE RELACPRPRODSUPL 
(
   CDFILIAL VARCHAR2(4)   					     NOT NULL, 
  NRORG NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
   IDATIVO                    					     VARCHAR2(1)     		DEFAULT 'S' NOT NULL
      CONSTRAINT CKC_IDATIVO_RELACPRPRODSUPL CHECK (IDATIVO IN ('S','N')),
   DTINCLUSAO             					     DATE                       NULL,
   DTULTATU                  					     DATE                       NULL,
   NRORGINCLUSAO      						     NUMBER             	DEFAULT 1 NULL,
   CDOPERINCLUSAO    						     VARCHAR2(12)  		DEFAULT '1' NULL,
   NRORGULTATU          					     NUMBER             	DEFAULT 1 NULL,
   CDOPERULTATU        						     VARCHAR2(12)  		DEFAULT '1',
   CDPRODUTO 							     VARCHAR2(10) 		NOT NULL,
   CDPRODUTOSUPL 						     VARCHAR2(10) 		NOT NULL, 
      CONSTRAINT PK_RELACPRPRODSUPL PRIMARY KEY (CDFILIAL, CDPRODUTO, CDPRODUTOSUPL)
)
/
ALTER TABLE RELACPRPRODSUPL
  ADD CONSTRAINT FKMAN02280FILIAL FOREIGN KEY (CDFILIAL)
    REFERENCES FILIAL (CDFILIAL)
/
ALTER TABLE RELACPRPRODSUPL
  ADD CONSTRAINT FKMAN02281PRODUTO FOREIGN KEY (CDPRODUTO)
    REFERENCES PRODUTO (CDPRODUTO)
/
ALTER TABLE RELACPRPRODSUPL
  ADD CONSTRAINT FKMAN02282PRODUTO FOREIGN KEY (CDPRODUTOSUPL)
    REFERENCES PRODUTO (CDPRODUTO)
/

CREATE TABLE PESOPRODPRODUCAO
(	
  CDFILIAL 							     VARCHAR2(4) 		NOT NULL,
 NRORG NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
  IDATIVO                    					     VARCHAR2(1)     		DEFAULT 'S' NOT NULL
      CONSTRAINT CKC_IDATIVO_PESOPRODPRODUCAO CHECK (IDATIVO IN ('S','N')),
  DTINCLUSAO             					     DATE                       NULL,
  DTULTATU                  					     DATE                	NULL,
  NRORGINCLUSAO      						     NUMBER             	DEFAULT 1 NULL,
  CDOPERINCLUSAO    						     VARCHAR2(12)  		DEFAULT '1' NULL,
  NRORGULTATU          						     NUMBER             	DEFAULT 1 NULL,
  CDOPERULTATU        						     VARCHAR2(12)  		DEFAULT '1',
  NRORDPROD 							     VARCHAR2(10) 		NOT NULL,    
  NRSUBORDPROD 							     VARCHAR2(1) 		NOT NULL,  
  CDSUBPRODETA 							     VARCHAR2(10) 		NOT NULL,
  NRSUBPRETAOP 							     VARCHAR2(3) 		NOT NULL,  
  CDPRODUTO 							     VARCHAR2(10) 		NOT NULL,    
  NRPRODACAB 							     VARCHAR2(3) 		NOT NULL,  
  QTLIQACUM 							     FLOAT,                    
  QTEMBALAGEM 							     NUMBER,                 
  VRTARAEXT 							     FLOAT,                    
  VRTARAINT 							     FLOAT,                    
		CONSTRAINT PK_PESOPRODPRODUCAO PRIMARY KEY (CDFILIAL, NRORDPROD, NRSUBORDPROD, CDSUBPRODETA, NRSUBPRETAOP, CDPRODUTO, NRPRODACAB))
/
 
ALTER TABLE PESOPRODPRODUCAO
  ADD CONSTRAINT FKMAN02278PRODACABADO FOREIGN KEY (CDFILIAL, NRORDPROD, NRSUBORDPROD, CDSUBPRODETA, NRSUBPRETAOP, CDPRODUTO, NRPRODACAB)
    REFERENCES PRODACABADO (CDFILIAL, NRORDPROD, NRSUBORDPROD, CDSUBPRODETA, NRSUBPRETAOP, CDPRODUTO, NRPRODACAB) ON DELETE CASCADE
/

CREATE TABLE HISTPESOPROD 
( 
 CDFILIAL 								VARCHAR2(4) 		 NOT NULL,
 NRORG NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
 IDATIVO                   	 					VARCHAR2(1)     	 DEFAULT 'S' NOT NULL
     CONSTRAINT CKC_IDATIVO_HISTPESOPROD CHECK (IDATIVO IN ('S','N')),
 DTINCLUSAO             						DATE                     NULL,
 DTULTATU                  						DATE                     NULL,
 NRORGINCLUSAO      							NUMBER             	 DEFAULT 1 NULL,
 CDOPERINCLUSAO    							VARCHAR2(12)  		 DEFAULT '1' NULL,
 NRORGULTATU          							NUMBER             	 DEFAULT 1 NULL,
 CDOPERULTATU        							VARCHAR2(12)  		 DEFAULT '1',
 NRORDPROD 								VARCHAR2(10) 		 NOT NULL,    
 NRSUBORDPROD 								VARCHAR2(1) 		 NOT NULL,  
 CDSUBPRODETA 								VARCHAR2(10) 		 NOT NULL,  
 NRSUBPRETAOP 								VARCHAR2(3) 		 NOT NULL,  
 CDPRODUTO 								VARCHAR2(10) 		 NOT NULL,   
 NRPRODACAB 								VARCHAR2(3) 		 NOT NULL,  
 NRSEQHIST 								VARCHAR2(3) 		 NOT NULL,  
 QTPESOLIQ 								FLOAT,                   
 QTEMBALAGEM 								NUMBER,                 
 VRMEDIA 								FLOAT,                      
 DTVALIDADE 								DATE,                    
CONSTRAINT PK_HISTPESOPROD PRIMARY KEY (CDFILIAL, NRORDPROD, NRSUBORDPROD, CDSUBPRODETA, NRSUBPRETAOP, CDPRODUTO, NRPRODACAB, NRSEQHIST))
/

ALTER TABLE HISTPESOPROD
  ADD CONSTRAINT FKMAN02279PRODACABADO FOREIGN KEY (CDFILIAL, NRORDPROD, NRSUBORDPROD, CDSUBPRODETA, NRSUBPRETAOP, CDPRODUTO, NRPRODACAB)
    REFERENCES PRODACABADO (CDFILIAL, NRORDPROD, NRSUBORDPROD, CDSUBPRODETA, NRSUBPRETAOP, CDPRODUTO, NRPRODACAB) ON DELETE CASCADE
/

ALTER TABLE LOTE ADD QTLIQACUM FLOAT 
/

ALTER TABLE PARAMAN  ADD DSIPBALANCA VARCHAR2(20)